Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class ModuleInfo

    java.lang.Object
      edu.harvard.hul.ois.jhove.ModuleInfo

    public class ModuleInfo

extends java.lang.Object

A small class to hold information about a module.

Field Summary
`java.lang.String` | `clas`
`java.lang.String` | `init`
`java.lang.String[]` | `params`

Constructor Summary
`ModuleInfo(java.lang.String className)`
`ModuleInfo(java.lang.String className, java.lang.String init)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clas

    public java.lang.String clas

### init

    public java.lang.String init

### params

    public java.lang.String[] params

Constructor Detail

### ModuleInfo

    public ModuleInfo(java.lang.String className)

### ModuleInfo

    public ModuleInfo(java.lang.String className,
                      java.lang.String init)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD